(module render *
  (import scheme)

  (import templates utils)

  (define (render post template)
    (let ([rendered-markdown (render-markdown post)])
      (render-template (template rendered-markdown))))

  (define (render-posts posts template)
    (map
      (lambda (post)
        (let ([title (car post)]
              [body (cdr post)])
          (cons title (render body template))))
      posts)))
