(module build (build-posts build-post)
  (import scheme (chicken io))

  (import config paths)

  (define (build-post config post)
    (let* ([path (car post)]
           [content (cdr post)]
           [absolute-path (absolute-build-path config path)])
      (call-with-output-file
        absolute-path
        (lambda (port) (write-string content #f port)))))

  (define (build-posts config posts)
    (map (lambda (post) (build-post config post)) posts)))
