(module lament *
  (import scheme (chicken process-context))

  (import config build io paths render templates utils)

  (define (template content)
    `(html
      (head
        (title "My Website"))
      (body
        (div ,content))))
   
  (if (> (length (command-line-arguments)) 0)
    (let* ([config (build-config (command-line-arguments))]
           [posts (fetch-posts config)]
           [rendered-posts (render-posts posts template)])
      (build-posts config rendered-posts))
    (display "Error: path to source directory is required\n")))
